<ion-header #pagetop style="background-size: cover; background-image: url({{categoria?.imagen}});">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button color="light" (click)="goBack()">
        <ion-icon src="assets/icon/ico-back.svg" slot="icon-only"></ion-icon>
      </ion-button>
    </ion-buttons>
    <div class="ion-text-center">
      <div class="t_opcion">{{recetaNombre}} - semana {{semana}} </div>
    </div>
    <ion-buttons slot="end">
      <ion-button color="light">
        <img src="../assets/imgs/logo.svg" class="logomain" />
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card> 
    <ion-card-content>
      <div>
        <ion-grid class="grid">
          <ion-row>
            <ion-col class="colColor colAlignLeft"  size="5">
              Producto
            </ion-col>
            <ion-col class="colColor colAlignCenter" size="5">
              Presentación
            </ion-col>
            <ion-col class="colColor colAlignRight" size="2">
              Cant
            </ion-col>
          </ion-row>
        </ion-grid>
        <div *ngFor="let productos of productosRecetas">
          <ion-grid *ngIf="productos.Semana === semana" class="grid">
            <ion-row *ngIf="productos.ProductoOriginal">
              <ion-col  class=" colColorWhite colAlignLeft" size="5">
                {{productos.ProductoOriginal.nombreEs}}
              </ion-col>
              <ion-col class="colColorWhite colAlignCenter"  size="5">
                {{productos.ProductoOriginal.presentacionNombre.nombreEs}}
              </ion-col>
              <ion-col class="colColorWhite colAlignRight">
                {{productos.Cantidad}}
              </ion-col>
            </ion-row>
          </ion-grid>
        </div>    
      </div>
      <br/>
      <ion-button [color]="cartcolor" (click)="addCart(semana)">
        Agregar al carrito <ion-icon src="assets/icon/ico-carrito-inv.svg"></ion-icon>
      </ion-button>
    </ion-card-content>
  </ion-card>
  


  <br/>
</ion-content>